Subject: TCP and Ancillary data in RFC2292bis

From: Lilian Fernandes <[email-masked]>
Date: Wed, 31 Oct 2001 15:19:52 -0600 (CST)

RFC2292bis-02 states that applications using TCP can use ancillary data to
receive IPv6 and extension header information (Section 4.1 - TCP Implications)

What are other implementations doing about this? Is there a common
strategy that most implementations have adopted?

Also, what could be a reason for delivering data like "destination
address" as ancillary data? This will always be constant as part of the
TCP connection's 4-tuple.

Thanks,
Lilian Fernandes

--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------